Bug 478909 - CA int db conn leak in setSerialNumber and getSerialNumber - CS running out of ldap connections
CA int db conn leak in setSerialNumber and getSerialNumber - CS running out o...
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: CA (Show other bugs)
1.1
All Linux
urgent Severity medium
: ---
: ---
Assigned To: Andrew Wnuk
Chandrasekar Kannan
:
Depends On:
Blocks: 443788
  Show dependency treegraph
 
Reported: 2009-01-05 17:42 EST by Marc Sauton
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (3.12 KB, patch)
2009-03-24 17:43 EDT, Andrew Wnuk
no flags Details | Diff

  None (edit)
Description Marc Sauton 2009-01-05 17:42:22 EST
Description of problem:

A CA instance can run out of ldap internal db connections in some cases.

Log example:
8816.Thread-2705 - [01/Jul/2008:18:06:16 GMT+00:00] [8] [2] In Ldap
(bound) connection pool to host localhost port 38901, Ran out of ldap
connections available in l
dap connection pool to localhost:38901. This could be a temporary
condition or an indication of something more serious that can cause the
server to hang.
Comment 2 Andrew Wnuk 2009-03-24 17:43:40 EDT
Created attachment 336552 [details]
proposed fix
Comment 3 Matthew Harmsen 2009-03-24 17:49:44 EDT
attachment (id=336552) +mharmsen
Comment 4 Andrew Wnuk 2009-03-24 17:58:38 EDT
svn commit pki/dogtag/common/pki-common.spec
Sending        pki/dogtag/common/pki-common.spec
Transmitting file data .
Committed revision 319.

svn commit pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
Sending        pki/base/common/src/com/netscape/cmscore/dbs/CertificateRepository.java
Transmitting file data .
Committed revision 320.

svn commit pki/base/common/src/com/netscape/cmscore/dbs/Repository.java
Sending        pki/base/common/src/com/netscape/cmscore/dbs/Repository.java
Transmitting file data .
Committed revision 321.

svn commit pki/base/common/src/com/netscape/cms/ocsp/DefStore.java
Sending        pki/base/common/src/com/netscape/cms/ocsp/DefStore.java
Transmitting file data .
Committed revision 322.

Note You need to log in before you can comment on or make changes to this bug.